source: squid-ssl/trunk/fuentes/helpers/basic_auth/SMB/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 22 months ago

Initial release

File size: 44.3 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# helpers/basic_auth/SMB/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17
18
19am__is_gnu_make = { \
20  if test -z '$(MAKELEVEL)'; then \
21    false; \
22  elif test -n '$(MAKE_HOST)'; then \
23    true; \
24  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25    true; \
26  else \
27    false; \
28  fi; \
29}
30am__make_running_with_option = \
31  case $${target_option-} in \
32      ?) ;; \
33      *) echo "am__make_running_with_option: internal error: invalid" \
34              "target option '$${target_option-}' specified" >&2; \
35         exit 1;; \
36  esac; \
37  has_opt=no; \
38  sane_makeflags=$$MAKEFLAGS; \
39  if $(am__is_gnu_make); then \
40    sane_makeflags=$$MFLAGS; \
41  else \
42    case $$MAKEFLAGS in \
43      *\\[\ \   ]*) \
44        bs=\\; \
45        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
47    esac; \
48  fi; \
49  skip_next=no; \
50  strip_trailopt () \
51  { \
52    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53  }; \
54  for flg in $$sane_makeflags; do \
55    test $$skip_next = yes && { skip_next=no; continue; }; \
56    case $$flg in \
57      *=*|--*) continue;; \
58        -*I) strip_trailopt 'I'; skip_next=yes;; \
59      -*I?*) strip_trailopt 'I';; \
60        -*O) strip_trailopt 'O'; skip_next=yes;; \
61      -*O?*) strip_trailopt 'O';; \
62        -*l) strip_trailopt 'l'; skip_next=yes;; \
63      -*l?*) strip_trailopt 'l';; \
64      -[dEDm]) skip_next=yes;; \
65      -[JT]) skip_next=yes;; \
66    esac; \
67    case $$flg in \
68      *$$target_option*) has_opt=yes; break;; \
69    esac; \
70  done; \
71  test $$has_opt = yes
72am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74pkgdatadir = $(datadir)/squid
75pkgincludedir = $(includedir)/squid
76pkglibdir = $(libdir)/squid
77pkglibexecdir = $(libexecdir)/squid
78am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79install_sh_DATA = $(install_sh) -c -m 644
80install_sh_PROGRAM = $(install_sh) -c
81install_sh_SCRIPT = $(install_sh) -c
82INSTALL_HEADER = $(INSTALL_DATA)
83transform = $(program_transform_name)
84NORMAL_INSTALL = :
85PRE_INSTALL = :
86POST_INSTALL = :
87NORMAL_UNINSTALL = :
88PRE_UNINSTALL = :
89POST_UNINSTALL = :
90build_triplet = x86_64-pc-linux-gnu
91host_triplet = x86_64-pc-linux-gnu
92check_PROGRAMS =
93TESTS =
94am__append_1 = $(INCLTDL)
95libexec_PROGRAMS =  \
96        basic_smb_auth$(EXEEXT)
97subdir = helpers/basic_auth/SMB
98ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
99am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
100        $(top_srcdir)/acinclude/init.m4 \
101        $(top_srcdir)/acinclude/squid-util.m4 \
102        $(top_srcdir)/acinclude/compiler-flags.m4 \
103        $(top_srcdir)/acinclude/os-deps.m4 \
104        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
105        $(top_srcdir)/acinclude/pkg.m4 \
106        $(top_srcdir)/acinclude/lib-checks.m4 \
107        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
108        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
109        $(top_srcdir)/helpers/basic_auth/modules.m4 \
110        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
122        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
123        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/modules.m4 \
125        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
126        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
127        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
130        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
131        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
134        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
135        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/modules.m4 \
137        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
138        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
139        $(top_srcdir)/helpers/external_acl/modules.m4 \
140        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
142        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
143        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
144        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
145        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
146        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
147        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
148        $(top_srcdir)/helpers/external_acl/session/required.m4 \
149        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
150        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
151        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
152        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
154        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
155        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
156        $(top_srcdir)/configure.ac
157am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
158        $(ACLOCAL_M4)
159DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
160mkinstalldirs = $(install_sh) -d
161CONFIG_HEADER = $(top_builddir)/include/autoconf.h
162CONFIG_CLEAN_FILES =
163CONFIG_CLEAN_VPATH_FILES =
164am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(libexecdir)"
165PROGRAMS = $(libexec_PROGRAMS)
166am_basic_smb_auth_OBJECTS = basic_smb_auth-basic_smb_auth.$(OBJEXT)
167basic_smb_auth_OBJECTS = $(am_basic_smb_auth_OBJECTS)
168#am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
169am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
170        $(am__DEPENDENCIES_1)
171am__DEPENDENCIES_3 =
172basic_smb_auth_DEPENDENCIES = $(top_builddir)/lib/libmiscencoding.la \
173        $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_3)
174AM_V_lt = $(am__v_lt_$(V))
175am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
176am__v_lt_0 = --silent
177am__v_lt_1 = 
178basic_smb_auth_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
179        $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
180        $(basic_smb_auth_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
181        $(LDFLAGS) -o $@
182am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
183am__vpath_adj = case $$p in \
184    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
185    *) f=$$p;; \
186  esac;
187am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
188am__install_max = 40
189am__nobase_strip_setup = \
190  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
191am__nobase_strip = \
192  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
193am__nobase_list = $(am__nobase_strip_setup); \
194  for p in $$list; do echo "$$p $$p"; done | \
195  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
196  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
197    if (++n[$$2] == $(am__install_max)) \
198      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
199    END { for (dir in files) print dir, files[dir] }'
200am__base_list = \
201  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
202  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
203am__uninstall_files_from_dir = { \
204  test -z "$$files" \
205    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
206    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
207         $(am__cd) "$$dir" && rm -f $$files; }; \
208  }
209SCRIPTS = $(libexec_SCRIPTS)
210AM_V_P = $(am__v_P_$(V))
211am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
212am__v_P_0 = false
213am__v_P_1 = :
214AM_V_GEN = $(am__v_GEN_$(V))
215am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
216am__v_GEN_0 = @echo "  GEN     " $@;
217am__v_GEN_1 = 
218AM_V_at = $(am__v_at_$(V))
219am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
220am__v_at_0 = @
221am__v_at_1 = 
222DEFAULT_INCLUDES = 
223depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
224am__depfiles_maybe = depfiles
225am__mv = mv -f
226CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
227        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
228LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
229        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
230        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
231        $(AM_CXXFLAGS) $(CXXFLAGS)
232AM_V_CXX = $(am__v_CXX_$(V))
233am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
234am__v_CXX_0 = @echo "  CXX     " $@;
235am__v_CXX_1 = 
236CXXLD = $(CXX)
237CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
238        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
239        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
240AM_V_CXXLD = $(am__v_CXXLD_$(V))
241am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
242am__v_CXXLD_0 = @echo "  CXXLD   " $@;
243am__v_CXXLD_1 = 
244SOURCES = $(basic_smb_auth_SOURCES)
245DIST_SOURCES = $(basic_smb_auth_SOURCES)
246am__can_run_installinfo = \
247  case $$AM_UPDATE_INFO_DIR in \
248    n|no|NO) false;; \
249    *) (install-info --version) >/dev/null 2>&1;; \
250  esac
251am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
252# Read a list of newline-separated strings from the standard input,
253# and print each of them once, without duplicates.  Input order is
254# *not* preserved.
255am__uniquify_input = $(AWK) '\
256  BEGIN { nonempty = 0; } \
257  { items[$$0] = 1; nonempty = 1; } \
258  END { if (nonempty) { for (i in items) print i; }; } \
259'
260# Make sure the list of sources is unique.  This is necessary because,
261# e.g., the same source file might be shared among _SOURCES variables
262# for different programs/libraries.
263am__define_uniq_tagged_files = \
264  list='$(am__tagged_files)'; \
265  unique=`for i in $$list; do \
266    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
267  done | $(am__uniquify_input)`
268ETAGS = etags
269CTAGS = ctags
270am__tty_colors_dummy = \
271  mgn= red= grn= lgn= blu= brg= std=; \
272  am__color_tests=no
273am__tty_colors = { \
274  $(am__tty_colors_dummy); \
275  if test "X$(AM_COLOR_TESTS)" = Xno; then \
276    am__color_tests=no; \
277  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
278    am__color_tests=yes; \
279  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
280    am__color_tests=yes; \
281  fi; \
282  if test $$am__color_tests = yes; then \
283    red='[0;31m'; \
284    grn='[0;32m'; \
285    lgn='[1;32m'; \
286    blu='[1;34m'; \
287    mgn='[0;35m'; \
288    brg='[1m'; \
289    std='[m'; \
290  fi; \
291}
292am__recheck_rx = ^[     ]*:recheck:[    ]*
293am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
294am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
295# A command that, given a newline-separated list of test names on the
296# standard input, print the name of the tests that are to be re-run
297# upon "make recheck".
298am__list_recheck_tests = $(AWK) '{ \
299  recheck = 1; \
300  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
301    { \
302      if (rc < 0) \
303        { \
304          if ((getline line2 < ($$0 ".log")) < 0) \
305            recheck = 0; \
306          break; \
307        } \
308      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
309        { \
310          recheck = 0; \
311          break; \
312        } \
313      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
314        { \
315          break; \
316        } \
317    }; \
318  if (recheck) \
319    print $$0; \
320  close ($$0 ".trs"); \
321  close ($$0 ".log"); \
322}'
323# A command that, given a newline-separated list of test names on the
324# standard input, create the global log from their .trs and .log files.
325am__create_global_log = $(AWK) ' \
326function fatal(msg) \
327{ \
328  print "fatal: making $@: " msg | "cat >&2"; \
329  exit 1; \
330} \
331function rst_section(header) \
332{ \
333  print header; \
334  len = length(header); \
335  for (i = 1; i <= len; i = i + 1) \
336    printf "="; \
337  printf "\n\n"; \
338} \
339{ \
340  copy_in_global_log = 1; \
341  global_test_result = "RUN"; \
342  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
343    { \
344      if (rc < 0) \
345         fatal("failed to read from " $$0 ".trs"); \
346      if (line ~ /$(am__global_test_result_rx)/) \
347        { \
348          sub("$(am__global_test_result_rx)", "", line); \
349          sub("[        ]*$$", "", line); \
350          global_test_result = line; \
351        } \
352      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
353        copy_in_global_log = 0; \
354    }; \
355  if (copy_in_global_log) \
356    { \
357      rst_section(global_test_result ": " $$0); \
358      while ((rc = (getline line < ($$0 ".log"))) != 0) \
359      { \
360        if (rc < 0) \
361          fatal("failed to read from " $$0 ".log"); \
362        print line; \
363      }; \
364      printf "\n"; \
365    }; \
366  close ($$0 ".trs"); \
367  close ($$0 ".log"); \
368}'
369# Restructured Text title.
370am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
371# Solaris 10 'make', and several other traditional 'make' implementations,
372# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
373# by disabling -e (using the XSI extension "set +e") if it's set.
374am__sh_e_setup = case $$- in *e*) set +e;; esac
375# Default flags passed to test drivers.
376am__common_driver_flags = \
377  --color-tests "$$am__color_tests" \
378  --enable-hard-errors "$$am__enable_hard_errors" \
379  --expect-failure "$$am__expect_failure"
380# To be inserted before the command running the test.  Creates the
381# directory for the log if needed.  Stores in $dir the directory
382# containing $f, in $tst the test, in $log the log.  Executes the
383# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
384# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
385# will run the test scripts (or their associated LOG_COMPILER, if
386# thy have one).
387am__check_pre = \
388$(am__sh_e_setup);                                      \
389$(am__vpath_adj_setup) $(am__vpath_adj)                 \
390$(am__tty_colors);                                      \
391srcdir=$(srcdir); export srcdir;                        \
392case "$@" in                                            \
393  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
394    *) am__odir=.;;                                     \
395esac;                                                   \
396test "x$$am__odir" = x"." || test -d "$$am__odir"       \
397  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
398if test -f "./$$f"; then dir=./;                        \
399elif test -f "$$f"; then dir=;                          \
400else dir="$(srcdir)/"; fi;                              \
401tst=$$dir$$f; log='$@';                                 \
402if test -n '$(DISABLE_HARD_ERRORS)'; then               \
403  am__enable_hard_errors=no;                            \
404else                                                    \
405  am__enable_hard_errors=yes;                           \
406fi;                                                     \
407case " $(XFAIL_TESTS) " in                              \
408  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
409    am__expect_failure=yes;;                            \
410  *)                                                    \
411    am__expect_failure=no;;                             \
412esac;                                                   \
413$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
414# A shell command to get the names of the tests scripts with any registered
415# extension removed (i.e., equivalently, the names of the test logs, with
416# the '.log' extension removed).  The result is saved in the shell variable
417# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
418# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
419# since that might cause problem with VPATH rewrites for suffix-less tests.
420# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
421am__set_TESTS_bases = \
422  bases='$(TEST_LOGS)'; \
423  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
424  bases=`echo $$bases`
425RECHECK_LOGS = $(TEST_LOGS)
426AM_RECURSIVE_TARGETS = check recheck
427TEST_SUITE_LOG = test-suite.log
428TEST_EXTENSIONS =  .test
429am__test_logs1 = $(TESTS:=.log)
430am__test_logs2 = $(am__test_logs1:.log=.log)
431TEST_LOGS = $(am__test_logs2:.test.log=.log)
432TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
433TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
434        $(TEST_LOG_FLAGS)
435am__set_b = \
436  case '$@' in \
437    */*) \
438      case '$*' in \
439        */*) b='$*';; \
440          *) b=`echo '$@' | sed 's/\.log$$//'`; \
441       esac;; \
442    *) \
443      b='$*';; \
444  esac
445am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
446        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
447        ChangeLog
448DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
449ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
450ADAPTATION_LIBS = adaptation/libadaptation.la
451ALLOCA =
452AMTAR = $${TAR-tar}
453AM_DEFAULT_VERBOSITY = 1
454AR = /usr/bin/ar
455AR_R = /usr/bin/ar r
456AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
457AUTH_MODULES =  basic digest negotiate ntlm
458AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
459AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
460AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
461AWK = gawk
462BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
463BUILDCXX = g++
464BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
465BZR =
466CACHE_EFFECTIVE_USER = proxy
467CC = gcc
468CCDEPMODE = depmode=none
469CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
470CGIEXT = .cgi
471CHMOD = /bin/chmod
472CPP = gcc -E
473CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
474CPPUNITCONFIG = /usr/bin/cppunit-config
475CRYPTLIB = -lcrypt
476CXX = g++
477CXXCPP = g++ -E
478CXXDEPMODE = depmode=none
479CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
480CYGPATH_W = echo
481DEFAULT_HOSTS = /etc/hosts
482DEFAULT_LOG_DIR = /var/log/squid-ssl
483DEFAULT_PID_FILE = /var/run/squid-ssl.pid
484DEFAULT_SWAP_DIR = /var/spool/squid-ssl
485DEFS = -DHAVE_CONFIG_H
486DEPDIR = .deps
487DIGEST_AUTH_HELPERS =  file LDAP
488DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
489DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
490DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
491DISK_OS_LIBS =  -lrt -lpthread
492DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
493DLLTOOL = false
494DSYMUTIL =
495DUMPBIN =
496ECAP_LIBS = ecap/libsquid-ecap.la
497ECHO_C =
498ECHO_N = -n
499ECHO_T =
500EGREP = /bin/egrep
501EPOLL_LIBS =
502EUILIB =
503EXEEXT =
504EXPATLIB = -lexpat
505EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
506EXT_LIBECAP_CFLAGS =
507EXT_LIBECAP_LIBS = -lecap
508FALSE = /bin/false
509FGREP = /bin/fgrep
510GREP = grep
511HAVE_CXX11 = 1
512ICAP_LIBS = icap/libicap.la
513INCLTDL =
514INSTALL = /usr/bin/install -c
515INSTALL_DATA = ${INSTALL} -m 644
516INSTALL_PROGRAM = ${INSTALL}
517INSTALL_SCRIPT = ${INSTALL}
518INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
519KRB5INCS = -isystem /usr/include/mit-krb5
520KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
521LBERLIB = -llber
522LD = /usr/bin/ld -m elf_x86_64
523LDAPLIB = -lldap
524LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
525LIBADD_DL = -ldl
526LIBADD_DLD_LINK =
527LIBADD_DLOPEN = -ldl
528LIBADD_SHL_LOAD =
529LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
530LIBGNUTLS_LIBS = -lgnutls
531LIBLTDL = -lltdl
532LIBOBJS =
533LIBOPENSSL_CFLAGS =
534LIBOPENSSL_LIBS = -lssl -lcrypto
535LIBS =
536LIBSASL = -lsasl2
537LIBTOOL = $(SHELL) $(top_builddir)/libtool
538LIB_DB = -ldb
539LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
540LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
541LINUXDOC = /bin/false
542LIPO =
543LN = /bin/ln
544LN_S = ln -s
545LOG_DAEMON_HELPERS =  DB file
546LTDLDEPS =
547LTDLINCL =
548LTDLOPEN = libltdl
549LTLIBOBJS =
550LT_ARGZ_H =
551LT_CONFIG_H = include/autoconf.h
552LT_DLLOADERS =  libltdl/dlopen.la
553LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
554LT_SYS_LIBRARY_PATH =
555MAINT = #
556MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
557MANIFEST_TOOL = :
558MINGW_LIBS =
559MKDIR = /bin/mkdir
560MKDIR_P = /bin/mkdir -p
561MV = /bin/mv
562NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
563NETTLELIB =  -lnettle
564NM = /usr/bin/nm -B
565NMEDIT =
566NTLM_AUTH_HELPERS =  fake smb_lm
567OBJDUMP = objdump
568OBJEXT = o
569OTOOL =
570OTOOL64 =
571PACKAGE = squid
572PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
573PACKAGE_NAME = Squid Web Proxy
574PACKAGE_STRING = Squid Web Proxy 3.5.12
575PACKAGE_TARNAME = squid
576PACKAGE_URL =
577PACKAGE_VERSION = 3.5.12
578PATH_SEPARATOR = :
579PERL = /usr/bin/perl
580PKG_CONFIG = /usr/bin/pkg-config
581PKG_CONFIG_LIBDIR =
582PKG_CONFIG_PATH =
583PO2HTML = off
584PO2TEXT = off
585POD2MAN = /usr/bin/pod2man
586RANLIB = ranlib
587REGEXLIB =
588REPL_LIBS = liblru.a libheap.a
589REPL_OBJS = repl/liblru.a repl/libheap.a
590REPL_POLICIES = lru heap
591RM = /bin/rm -f
592SED = /bin/sed
593SET_MAKE =
594SH = /bin/sh
595SHELL = /bin/bash
596SMBCLIENT = /usr/bin/smbclient
597SNMPLIB = ../lib/snmplib/libsnmplib.la
598SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
599SQUID_CPPUNIT_INC =
600SQUID_CPPUNIT_LA =
601SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
602SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
603SSLLIB =  -lssl -lcrypto  -lgnutls
604STOREID_REWRITE_HELPERS =  file
605STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
606STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
607STORE_TESTS =
608STRIP = strip
609TR = /usr/bin/tr
610TRUE = /bin/true
611URL_REWRITE_HELPERS =  fake
612VERSION = 3.5.12
613WBINFO =
614WIN32_PSAPI =
615XMLLIB = -lxml2
616XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
617XTRA_OBJS =
618abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/helpers/basic_auth/SMB
619abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/helpers/basic_auth/SMB
620abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
621abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
622ac_ct_AR =
623ac_ct_CC = gcc
624ac_ct_CXX = g++
625ac_ct_DUMPBIN =
626am__include = include
627am__leading_dot = .
628am__quote =
629am__tar = tar --format=ustar -chf - "$$tardir"
630am__untar = tar -xf -
631bindir = ${exec_prefix}/bin
632build = x86_64-pc-linux-gnu
633build_alias = x86_64-linux-gnu
634build_cpu = x86_64
635build_os = linux-gnu
636build_vendor = pc
637builddir = .
638datadir = /usr/share/squid-ssl
639datarootdir = ${prefix}/share
640docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
641dvidir = ${docdir}
642exec_prefix = ${prefix}
643host = x86_64-pc-linux-gnu
644host_alias =
645host_cpu = x86_64
646host_os = linux-gnu
647host_vendor = pc
648htmldir = ${docdir}
649includedir = ${prefix}/include
650infodir = ${prefix}/share/info
651install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
652krb5_config =
653libdir = ${exec_prefix}/lib
654libexecdir = /usr/lib/squid-ssl
655localedir = ${datarootdir}/locale
656localstatedir = /var
657ltdl_LIBOBJS =  lt__strl.o
658ltdl_LTLIBOBJS =  lt__strl.lo
659mandir = /usr/share/man
660mkdir_p = $(MKDIR_P)
661oldincludedir = /usr/include
662pdfdir = ${docdir}
663prefix = /usr
664program_transform_name = s&$$&-ssl&
665psdir = ${docdir}
666runstatedir = ${localstatedir}/run
667sbindir = ${exec_prefix}/sbin
668sharedstatedir = ${prefix}/com
669srcdir = .
670subdirs =  libltdl
671sys_symbol_underscore = no
672sysconfdir = /etc/squid-ssl
673target_alias =
674top_build_prefix = ../../../
675top_builddir = ../../..
676top_srcdir = ../../..
677AM_CFLAGS = $(SQUID_CFLAGS)
678AM_CXXFLAGS = $(SQUID_CXXFLAGS)
679CLEANFILES =
680AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
681        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
682        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
683        $(am__append_1)
684LIBPROFILER =
685#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
686COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
687subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
688libexec_SCRIPTS = basic_smb_auth.sh
689basic_smb_auth_SOURCES = basic_smb_auth.cc
690basic_smb_auth_CXXFLAGS = -DHELPERSCRIPT=\"$(libexecdir)/basic_smb_auth.sh\"
691basic_smb_auth_LDADD = \
692                $(top_builddir)/lib/libmiscencoding.la \
693                $(COMPAT_LIB) \
694                $(XTRA_LIBS)
695
696EXTRA_DIST = basic_smb_auth.sh required.m4
697all: all-am
698
699.SUFFIXES:
700.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
701$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
702        @for dep in $?; do \
703          case '$(am__configure_deps)' in \
704            *$$dep*) \
705              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
706                && { if test -f $@; then exit 0; else break; fi; }; \
707              exit 1;; \
708          esac; \
709        done; \
710        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu helpers/basic_auth/SMB/Makefile'; \
711        $(am__cd) $(top_srcdir) && \
712          $(AUTOMAKE) --gnu helpers/basic_auth/SMB/Makefile
713Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
714        @case '$?' in \
715          *config.status*) \
716            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
717          *) \
718            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
719            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
720        esac;
721$(top_srcdir)/src/Common.am $(am__empty):
722
723$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
724        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
725
726$(top_srcdir)/configure: # $(am__configure_deps)
727        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
728$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
729        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
730$(am__aclocal_m4_deps):
731
732clean-checkPROGRAMS:
733        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
734        echo " rm -f" $$list; \
735        rm -f $$list || exit $$?; \
736        test -n "$(EXEEXT)" || exit 0; \
737        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
738        echo " rm -f" $$list; \
739        rm -f $$list
740install-libexecPROGRAMS: $(libexec_PROGRAMS)
741        @$(NORMAL_INSTALL)
742        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
743        if test -n "$$list"; then \
744          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
745          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
746        fi; \
747        for p in $$list; do echo "$$p $$p"; done | \
748        sed 's/$(EXEEXT)$$//' | \
749        while read p p1; do if test -f $$p \
750         || test -f $$p1 \
751          ; then echo "$$p"; echo "$$p"; else :; fi; \
752        done | \
753        sed -e 'p;s,.*/,,;n;h' \
754            -e 's|.*|.|' \
755            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
756        sed 'N;N;N;s,\n, ,g' | \
757        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
758          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
759            if ($$2 == $$4) files[d] = files[d] " " $$1; \
760            else { print "f", $$3 "/" $$4, $$1; } } \
761          END { for (d in files) print "f", d, files[d] }' | \
762        while read type dir files; do \
763            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
764            test -z "$$files" || { \
765            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
766            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
767            } \
768        ; done
769
770uninstall-libexecPROGRAMS:
771        @$(NORMAL_UNINSTALL)
772        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
773        files=`for p in $$list; do echo "$$p"; done | \
774          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
775              -e 's/$$/$(EXEEXT)/' \
776        `; \
777        test -n "$$list" || exit 0; \
778        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
779        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
780
781clean-libexecPROGRAMS:
782        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
783        echo " rm -f" $$list; \
784        rm -f $$list || exit $$?; \
785        test -n "$(EXEEXT)" || exit 0; \
786        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
787        echo " rm -f" $$list; \
788        rm -f $$list
789
790basic_smb_auth$(EXEEXT): $(basic_smb_auth_OBJECTS) $(basic_smb_auth_DEPENDENCIES) $(EXTRA_basic_smb_auth_DEPENDENCIES) 
791        @rm -f basic_smb_auth$(EXEEXT)
792        $(AM_V_CXXLD)$(basic_smb_auth_LINK) $(basic_smb_auth_OBJECTS) $(basic_smb_auth_LDADD) $(LIBS)
793install-libexecSCRIPTS: $(libexec_SCRIPTS)
794        @$(NORMAL_INSTALL)
795        @list='$(libexec_SCRIPTS)'; test -n "$(libexecdir)" || list=; \
796        if test -n "$$list"; then \
797          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
798          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
799        fi; \
800        for p in $$list; do \
801          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
802          if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
803        done | \
804        sed -e 'p;s,.*/,,;n' \
805            -e 'h;s|.*|.|' \
806            -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
807        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
808          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
809            if ($$2 == $$4) { files[d] = files[d] " " $$1; \
810              if (++n[d] == $(am__install_max)) { \
811                print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
812            else { print "f", d "/" $$4, $$1 } } \
813          END { for (d in files) print "f", d, files[d] }' | \
814        while read type dir files; do \
815             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
816             test -z "$$files" || { \
817               echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
818               $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
819             } \
820        ; done
821
822uninstall-libexecSCRIPTS:
823        @$(NORMAL_UNINSTALL)
824        @list='$(libexec_SCRIPTS)'; test -n "$(libexecdir)" || exit 0; \
825        files=`for p in $$list; do echo "$$p"; done | \
826               sed -e 's,.*/,,;$(transform)'`; \
827        dir='$(DESTDIR)$(libexecdir)'; $(am__uninstall_files_from_dir)
828
829mostlyclean-compile:
830        -rm -f *.$(OBJEXT)
831
832distclean-compile:
833        -rm -f *.tab.c
834
835#include ./$(DEPDIR)/basic_smb_auth-basic_smb_auth.Po
836
837.cc.o:
838#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
839#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
840#       $(am__mv) $$depbase.Tpo $$depbase.Po
841#       $(AM_V_CXX)source='$<' object='$@' libtool=no
842#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
843        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ $<
844
845.cc.obj:
846#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
847#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
848#       $(am__mv) $$depbase.Tpo $$depbase.Po
849#       $(AM_V_CXX)source='$<' object='$@' libtool=no
850#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
851        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
852
853.cc.lo:
854#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
855#       $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
856#       $(am__mv) $$depbase.Tpo $$depbase.Plo
857#       $(AM_V_CXX)source='$<' object='$@' libtool=yes
858#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
859        $(AM_V_CXX)$(LTCXXCOMPILE) -c -o $@ $<
860
861basic_smb_auth-basic_smb_auth.o: basic_smb_auth.cc
862#       $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(basic_smb_auth_CXXFLAGS) $(CXXFLAGS) -MT basic_smb_auth-basic_smb_auth.o -MD -MP -MF $(DEPDIR)/basic_smb_auth-basic_smb_auth.Tpo -c -o basic_smb_auth-basic_smb_auth.o `test -f 'basic_smb_auth.cc' || echo '$(srcdir)/'`basic_smb_auth.cc
863#       $(AM_V_at)$(am__mv) $(DEPDIR)/basic_smb_auth-basic_smb_auth.Tpo $(DEPDIR)/basic_smb_auth-basic_smb_auth.Po
864#       $(AM_V_CXX)source='basic_smb_auth.cc' object='basic_smb_auth-basic_smb_auth.o' libtool=no
865#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
866        $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(basic_smb_auth_CXXFLAGS) $(CXXFLAGS) -c -o basic_smb_auth-basic_smb_auth.o `test -f 'basic_smb_auth.cc' || echo '$(srcdir)/'`basic_smb_auth.cc
867
868basic_smb_auth-basic_smb_auth.obj: basic_smb_auth.cc
869#       $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(basic_smb_auth_CXXFLAGS) $(CXXFLAGS) -MT basic_smb_auth-basic_smb_auth.obj -MD -MP -MF $(DEPDIR)/basic_smb_auth-basic_smb_auth.Tpo -c -o basic_smb_auth-basic_smb_auth.obj `if test -f 'basic_smb_auth.cc'; then $(CYGPATH_W) 'basic_smb_auth.cc'; else $(CYGPATH_W) '$(srcdir)/basic_smb_auth.cc'; fi`
870#       $(AM_V_at)$(am__mv) $(DEPDIR)/basic_smb_auth-basic_smb_auth.Tpo $(DEPDIR)/basic_smb_auth-basic_smb_auth.Po
871#       $(AM_V_CXX)source='basic_smb_auth.cc' object='basic_smb_auth-basic_smb_auth.obj' libtool=no
872#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
873        $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(basic_smb_auth_CXXFLAGS) $(CXXFLAGS) -c -o basic_smb_auth-basic_smb_auth.obj `if test -f 'basic_smb_auth.cc'; then $(CYGPATH_W) 'basic_smb_auth.cc'; else $(CYGPATH_W) '$(srcdir)/basic_smb_auth.cc'; fi`
874
875mostlyclean-libtool:
876        -rm -f *.lo
877
878clean-libtool:
879        -rm -rf .libs _libs
880
881ID: $(am__tagged_files)
882        $(am__define_uniq_tagged_files); mkid -fID $$unique
883tags: tags-am
884TAGS: tags
885
886tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
887        set x; \
888        here=`pwd`; \
889        $(am__define_uniq_tagged_files); \
890        shift; \
891        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
892          test -n "$$unique" || unique=$$empty_fix; \
893          if test $$# -gt 0; then \
894            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
895              "$$@" $$unique; \
896          else \
897            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
898              $$unique; \
899          fi; \
900        fi
901ctags: ctags-am
902
903CTAGS: ctags
904ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
905        $(am__define_uniq_tagged_files); \
906        test -z "$(CTAGS_ARGS)$$unique" \
907          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
908             $$unique
909
910GTAGS:
911        here=`$(am__cd) $(top_builddir) && pwd` \
912          && $(am__cd) $(top_srcdir) \
913          && gtags -i $(GTAGS_ARGS) "$$here"
914cscopelist: cscopelist-am
915
916cscopelist-am: $(am__tagged_files)
917        list='$(am__tagged_files)'; \
918        case "$(srcdir)" in \
919          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
920          *) sdir=$(subdir)/$(srcdir) ;; \
921        esac; \
922        for i in $$list; do \
923          if test -f "$$i"; then \
924            echo "$(subdir)/$$i"; \
925          else \
926            echo "$$sdir/$$i"; \
927          fi; \
928        done >> $(top_builddir)/cscope.files
929
930distclean-tags:
931        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
932
933# Recover from deleted '.trs' file; this should ensure that
934# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
935# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
936# to avoid problems with "make -n".
937.log.trs:
938        rm -f $< $@
939        $(MAKE) $(AM_MAKEFLAGS) $<
940
941# Leading 'am--fnord' is there to ensure the list of targets does not
942# expand to empty, as could happen e.g. with make check TESTS=''.
943am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
944am--force-recheck:
945        @:
946
947$(TEST_SUITE_LOG): $(TEST_LOGS)
948        @$(am__set_TESTS_bases); \
949        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
950        redo_bases=`for i in $$bases; do \
951                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
952                    done`; \
953        if test -n "$$redo_bases"; then \
954          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
955          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
956          if $(am__make_dryrun); then :; else \
957            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
958          fi; \
959        fi; \
960        if test -n "$$am__remaking_logs"; then \
961          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
962               "recursion detected" >&2; \
963        elif test -n "$$redo_logs"; then \
964          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
965        fi; \
966        if $(am__make_dryrun); then :; else \
967          st=0;  \
968          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
969          for i in $$redo_bases; do \
970            test -f $$i.trs && test -r $$i.trs \
971              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
972            test -f $$i.log && test -r $$i.log \
973              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
974          done; \
975          test $$st -eq 0 || exit 1; \
976        fi
977        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
978        ws='[   ]'; \
979        results=`for b in $$bases; do echo $$b.trs; done`; \
980        test -n "$$results" || results=/dev/null; \
981        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
982        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
983        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
984        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
985        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
986        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
987        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
988        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
989          success=true; \
990        else \
991          success=false; \
992        fi; \
993        br='==================='; br=$$br$$br$$br$$br; \
994        result_count () \
995        { \
996            if test x"$$1" = x"--maybe-color"; then \
997              maybe_colorize=yes; \
998            elif test x"$$1" = x"--no-color"; then \
999              maybe_colorize=no; \
1000            else \
1001              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1002            fi; \
1003            shift; \
1004            desc=$$1 count=$$2; \
1005            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1006              color_start=$$3 color_end=$$std; \
1007            else \
1008              color_start= color_end=; \
1009            fi; \
1010            echo "$${color_start}# $$desc $$count$${color_end}"; \
1011        }; \
1012        create_testsuite_report () \
1013        { \
1014          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1015          result_count $$1 "PASS: " $$pass  "$$grn"; \
1016          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1017          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1018          result_count $$1 "FAIL: " $$fail  "$$red"; \
1019          result_count $$1 "XPASS:" $$xpass "$$red"; \
1020          result_count $$1 "ERROR:" $$error "$$mgn"; \
1021        }; \
1022        {                                                               \
1023          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1024            $(am__rst_title);                                           \
1025          create_testsuite_report --no-color;                           \
1026          echo;                                                         \
1027          echo ".. contents:: :depth: 2";                               \
1028          echo;                                                         \
1029          for b in $$bases; do echo $$b; done                           \
1030            | $(am__create_global_log);                                 \
1031        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1032        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1033        if $$success; then                                              \
1034          col="$$grn";                                                  \
1035         else                                                           \
1036          col="$$red";                                                  \
1037          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1038        fi;                                                             \
1039        echo "$${col}$$br$${std}";                                      \
1040        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1041        echo "$${col}$$br$${std}";                                      \
1042        create_testsuite_report --maybe-color;                          \
1043        echo "$$col$$br$$std";                                          \
1044        if $$success; then :; else                                      \
1045          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1046          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1047            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1048          fi;                                                           \
1049          echo "$$col$$br$$std";                                        \
1050        fi;                                                             \
1051        $$success || exit 1
1052
1053check-TESTS:
1054        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1055        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1056        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1057        @set +e; $(am__set_TESTS_bases); \
1058        log_list=`for i in $$bases; do echo $$i.log; done`; \
1059        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1060        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1061        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1062        exit $$?;
1063recheck: all $(check_PROGRAMS)
1064        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1065        @set +e; $(am__set_TESTS_bases); \
1066        bases=`for i in $$bases; do echo $$i; done \
1067                 | $(am__list_recheck_tests)` || exit 1; \
1068        log_list=`for i in $$bases; do echo $$i.log; done`; \
1069        log_list=`echo $$log_list`; \
1070        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1071                am__force_recheck=am--force-recheck \
1072                TEST_LOGS="$$log_list"; \
1073        exit $$?
1074.test.log:
1075        @p='$<'; \
1076        $(am__set_b); \
1077        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1078        --log-file $$b.log --trs-file $$b.trs \
1079        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1080        "$$tst" $(AM_TESTS_FD_REDIRECT)
1081#.test$(EXEEXT).log:
1082#       @p='$<'; \
1083#       $(am__set_b); \
1084#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1085#       --log-file $$b.log --trs-file $$b.trs \
1086#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1087#       "$$tst" $(AM_TESTS_FD_REDIRECT)
1088
1089distdir: $(DISTFILES)
1090        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1091        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1092        list='$(DISTFILES)'; \
1093          dist_files=`for file in $$list; do echo $$file; done | \
1094          sed -e "s|^$$srcdirstrip/||;t" \
1095              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1096        case $$dist_files in \
1097          */*) $(MKDIR_P) `echo "$$dist_files" | \
1098                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1099                           sort -u` ;; \
1100        esac; \
1101        for file in $$dist_files; do \
1102          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1103          if test -d $$d/$$file; then \
1104            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1105            if test -d "$(distdir)/$$file"; then \
1106              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1107            fi; \
1108            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1109              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1110              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1111            fi; \
1112            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1113          else \
1114            test -f "$(distdir)/$$file" \
1115            || cp -p $$d/$$file "$(distdir)/$$file" \
1116            || exit 1; \
1117          fi; \
1118        done
1119check-am: all-am
1120        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1121        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1122check: check-am
1123all-am: Makefile $(PROGRAMS) $(SCRIPTS)
1124installdirs:
1125        for dir in "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(libexecdir)"; do \
1126          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1127        done
1128install: install-am
1129install-exec: install-exec-am
1130install-data: install-data-am
1131uninstall: uninstall-am
1132
1133install-am: all-am
1134        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1135
1136installcheck: installcheck-am
1137install-strip:
1138        if test -z '$(STRIP)'; then \
1139          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1140            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1141              install; \
1142        else \
1143          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1144            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1145            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1146        fi
1147mostlyclean-generic:
1148        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1149        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1150        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1151
1152clean-generic:
1153        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1154
1155distclean-generic:
1156        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1157        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1158
1159maintainer-clean-generic:
1160        @echo "This command is intended for maintainers to use"
1161        @echo "it deletes files that may require special tools to rebuild."
1162clean: clean-am
1163
1164clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1165        clean-libtool mostlyclean-am
1166
1167distclean: distclean-am
1168        -rm -rf ./$(DEPDIR)
1169        -rm -f Makefile
1170distclean-am: clean-am distclean-compile distclean-generic \
1171        distclean-tags
1172
1173dvi: dvi-am
1174
1175dvi-am:
1176
1177html: html-am
1178
1179html-am:
1180
1181info: info-am
1182
1183info-am:
1184
1185install-data-am:
1186
1187install-dvi: install-dvi-am
1188
1189install-dvi-am:
1190
1191install-exec-am: install-libexecPROGRAMS install-libexecSCRIPTS
1192
1193install-html: install-html-am
1194
1195install-html-am:
1196
1197install-info: install-info-am
1198
1199install-info-am:
1200
1201install-man:
1202
1203install-pdf: install-pdf-am
1204
1205install-pdf-am:
1206
1207install-ps: install-ps-am
1208
1209install-ps-am:
1210
1211installcheck-am:
1212
1213maintainer-clean: maintainer-clean-am
1214        -rm -rf ./$(DEPDIR)
1215        -rm -f Makefile
1216maintainer-clean-am: distclean-am maintainer-clean-generic
1217
1218mostlyclean: mostlyclean-am
1219
1220mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1221        mostlyclean-libtool
1222
1223pdf: pdf-am
1224
1225pdf-am:
1226
1227ps: ps-am
1228
1229ps-am:
1230
1231uninstall-am: uninstall-libexecPROGRAMS uninstall-libexecSCRIPTS
1232
1233.MAKE: check-am install-am install-strip
1234
1235.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1236        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1237        clean-libtool cscopelist-am ctags ctags-am distclean \
1238        distclean-compile distclean-generic distclean-libtool \
1239        distclean-tags distdir dvi dvi-am html html-am info info-am \
1240        install install-am install-data install-data-am install-dvi \
1241        install-dvi-am install-exec install-exec-am install-html \
1242        install-html-am install-info install-info-am \
1243        install-libexecPROGRAMS install-libexecSCRIPTS install-man \
1244        install-pdf install-pdf-am install-ps install-ps-am \
1245        install-strip installcheck installcheck-am installdirs \
1246        maintainer-clean maintainer-clean-generic mostlyclean \
1247        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1248        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1249        uninstall-am uninstall-libexecPROGRAMS \
1250        uninstall-libexecSCRIPTS
1251
1252.PRECIOUS: Makefile
1253
1254
1255$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1256
1257# Tell versions [3.59,3.63) of GNU make to not export all variables.
1258# Otherwise a system limit (for SysV at least) may be exceeded.
1259.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.